Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6208/?format=api
{ "ob_id": 6208, "uuid": "1e61d4fa831b1151c2c780b01144d4ae", "title": "Met Office Hadley Centre Global Gridded Mean Sea Level Pressure (GMSLP2.1f) data (1871-1994)", "abstract": "The fully Global Mean Sea-Level Pressure (GMSLP) dataset, was developed in collaboration with CSIRO (Scientific and Industrial Research for Australia), Australia and NIWA (National Institute of Water and Atmospheric Research), New Zealand. It is an historical, 5 deg. x 5 deg. gridded monthly dataset covering the period 1871-1994. The Met Office Hadley Centre recently produced the HadSLP1 dataset which replaces the Global Mean Sea Level Pressure (GMSLP) data sets, and is a unique combination of monthly globally-complete fields of land and sea pressure observations a 5 degree latitude-longitude grid from 1871 to 1998.", "keywords": "Met Office, Hadley,MSLP, HadSLP, GMSLP", "publicationState": "published", "dataPublishedTime": "2007-02-03T01:32:32", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6209/?format=api", "dataPath": "/badc/ukmo-gmslp/data/GMSLP2.1f/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 31719398, "numberOfFiles": 126, "fileFormat": "ASCII" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1822/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/13194/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25956/?format=api" ], "dataLineage": "Data files from 1871 to 1998 acquired from the Hadley Centre directly, as is, and stored at the BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4034/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8745/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13164/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6207/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26288/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26291/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26287/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26285/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26289/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26286/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53185/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/26284/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53179/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53186/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55471/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/169532/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/6210/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2594/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "gmslp", "label": "restricted: gmslp group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement.pdf", "licenceClassifications": "academic" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }